Bug 592324 - Improve error message: Unable to read the disc checksum from primary volume descriptor
Improve error message: Unable to read the disc checksum from primary volume d...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Radek Vykydal
Release Test Team
:
Depends On: 578151
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-14 11:04 EDT by Alexander Todorov
Modified: 2010-07-02 16:49 EDT (History)
4 users (show)

See Also:
Fixed In Version: anaconda-13.21.42-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 578151
Environment:
Last Closed: 2010-07-02 16:49:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2010-05-14 11:04:06 EDT
+++ This bug was initially created as a clone of Bug #578151 +++

Created an attachment (id=403477)
screenshot

Description of problem:
Anaconda Stage 1 offers to test the checksum of install media. When you hit Test and you have no media in your drive, you get this message (see screenshot):

"Error: Unable to read the disc checksum from primary volume descriptor. This probably means the disc was created without adding the checksum."

What's wrong about that:
1. *primary volume descriptor* - that's hacker's language, not end user's language. User has no idea what you are talking about. Please rephrase to more user friendly language.
2. The message should be different when:
a) there is media in the drive but it has no checksum support
b) there is no media in the drive
Currently, the same message is used for both cases, which is wrong.

Version-Release number of selected component (if applicable):
anaconda 13.37

How reproducible:
always

Steps to Reproduce:
1. When anaconda offers you to test media checksum, remove media from drive.
2. Hit Test.

--- Additional comment from rvykydal@redhat.com on 2010-03-30 15:54:26 EEST ---

(In reply to comment #0)
 
> What's wrong about that:
> 1. *primary volume descriptor* - that's hacker's language, not end user's
> language. User has no idea what you are talking about. Please rephrase to more
> user friendly language.

Yes, I'd use "disc image" or "iso image" instead

> 2. The message should be different when:
> a) there is media in the drive but it has no checksum support
> b) there is no media in the drive
> Currently, the same message is used for both cases, which is wrong.

This will be fixed when I push already review-acked changes in isomd5sum and related anaconda changes (which will happen as soon as I get ACLs needed to build Fedora isomd5sum).


I'll keep this bug to track 1. and clone another bug to track 2.

--- Additional comment from rvykydal@redhat.com on 2010-03-31 11:24:40 EEST ---

Should be fixed in version 14.3-1 of anaconda.
Comment 1 Alexander Todorov 2010-05-14 11:06:05 EDT
Cloning for RHEL6.

See https://bugzilla.redhat.com/show_bug.cgi?id=586359#c7 - this is taking care of anaconda showing different messages when there's no ISO in the disk drive and when the ISO doesn't have a checksum. 

The message for missing checksum is not entirely user friendly. Uses words like "primary volume descriptor". This bug requests that this string is changed into something more user friendly.
Comment 2 Radek Vykydal 2010-05-14 11:33:59 EDT
For Fedora, the bug was fixed with this commit:
http://git.fedorahosted.org/git/?p=anaconda.git;a=commit;h=348e6e1a7c998d44676a58b28959897a9d4dffa2
Comment 3 RHEL Product and Program Management 2010-05-14 11:54:58 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Radek Vykydal 2010-05-17 05:15:33 EDT
This should be fixed in anaconda-13.21.42-1.
Comment 6 Alexander Todorov 2010-05-31 08:19:48 EDT
anaconda 13.21.48 now says:
"Unable to find the checksum in the image. This probably means the disc was created without adding the checksum."

Moving to VERIFIED.
Comment 7 releng-rhel@redhat.com 2010-07-02 16:49:36 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.